Bug 166524 - Erratic behaviour when system fd limit reached
Erratic behaviour when system fd limit reached
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
Depends On:
Blocks: 168429
  Show dependency treegraph
Reported: 2005-08-22 16:28 EDT by Peter Staubach
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 14:36:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (1.92 KB, patch)
2005-08-26 10:18 EDT, Peter Staubach
no flags Details | Diff
Proposed patch (1.89 KB, patch)
2005-09-20 08:53 EDT, Peter Staubach
no flags Details | Diff
Proposed patch (1.89 KB, patch)
2005-11-18 14:42 EST, Peter Staubach
no flags Details | Diff

  None (edit)
Description Peter Staubach 2005-08-22 16:28:35 EDT
+++ This bug was initially created as a clone of Bug #166364 +++

Escalated to Bugzilla from IssueTracker
Comment 1 Peter Staubach 2005-08-26 10:18:46 EDT
Created attachment 118156 [details]
Proposed patch
Comment 2 Peter Staubach 2005-08-26 10:36:51 EDT
The problem is the ordering of creating the entry in the directory and
allocating the file struct to reference the file.  The file struct was
getting allocated second, but should be allocated before the directory
entry is created.  Thus, if the allocation fails, then the error can be
returned without creating the directory entry.
Comment 3 Peter Staubach 2005-09-20 08:53:52 EDT
Created attachment 119024 [details]
Proposed patch
Comment 4 Peter Staubach 2005-11-18 14:42:37 EST
Created attachment 121242 [details]
Proposed patch

The previous proposed patch was incomplete.
Comment 8 Red Hat Bugzilla 2006-03-07 14:36:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.